HTTP reference · Powered by Scalar
Cloud Storage XML API
From source · 0ea2594 12 HTTP operations
Run examples against your local instance. Use cloudburrow env to confirm its endpoints.
HTTP endpoint list
- GET
/List buckets for a project - GET
/{bucket}List objects or active multipart uploads - POST
/{bucket}Upload an object with a signed browser form - PUT
/{bucket}Create a bucket - DELETE
/{bucket}Delete an empty bucket - OPTIONS
/{bucket}Check cross-origin access - GET
/{bucket}/{object}Read an object or list uploaded parts - POST
/{bucket}/{object}Start an upload or complete multipart assembly - PUT
/{bucket}/{object}Write an object, multipart part or resumable chunk - DELETE
/{bucket}/{object}Delete an object or cancel an upload - HEAD
/{bucket}/{object}Read object headers - OPTIONS
/{bucket}/{object}Check cross-origin access
Local server http://127.0.0.1:9001